<template>
  <div class="wifi-gateway">
    <el-form :model="wifiForm" ref="wifiForm">
      <div class="title form-item">网络设置</div>
      <el-form-item class="form-item">
             <switchBar
            :barName="`允许外网访问`"
            :value="accessible"
          ></switchBar>
      </el-form-item>

      <div class="block">
          <el-form-item class="form-item">
              <div class="item-title">名称</div>
              <div class="inputContain">
                  <el-input
                  v-model="wifiForm.name"
                  placeholder="请输入无线名称"
                  size="small"
                ></el-input>
              </div>            
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">密码</div>
                <div class="inputContain">
                  <el-input
                  v-model="wifiForm.password"
                  placeholder="请输入密码"
                  size="small"
                  show-password
                  auto-complete="new-password"
                ></el-input>
                </div>              
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">WPS加密</div>
               <div class="inputContain">
              <el-select v-model="wifiForm.wps" placeholder="请选择" size="small"
                :popper-append-to-body="false">
                  <el-option
                    v-for="item in wps_option"
                    :key="item.value"
                    :label="item.label"
                    :value="item.value"
                  ></el-option>
                </el-select>
               </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">授权方式</div>
               <div class="inputContain">
              <el-select v-model="wifiForm.auth" placeholder="请选择" size="small"
                :popper-append-to-body="false">
                  <el-option
                    v-for="item in auth_option"
                    :key="item.value"
                    :label="item.label"
                    :value="item.value"
                  ></el-option>
              </el-select>
               </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">发射功率调整</div>
               <el-slider
                  v-model="wifiForm.frequency"
                  id="wifiForm_frequency"
                  :min="0"
                  :max="100"
                  :show-tooltip="false"
                ></el-slider>
            <div class="slider-info">节能</div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">IP地址</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.ip"
                  @on-blur="wifiForm.ip = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">子网掩码</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.child"
                  @on-blur="wifiForm.ip = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">网关</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.gateway"
                  @on-blur="wifiForm.ip = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">DNS</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.dns"
                  @on-blur="wifiForm.ip = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <div class="DHCP">DHCP服务器设置</div>

          <el-form-item class="form-item">
              <div class="item-title">IP池起始地址</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.dns"
                  @on-blur="wifiForm.ipStart = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">IP池结束地址</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.dns"
                  @on-blur="wifiForm.ipEnd = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">默认网关</div>
              <div class="inputContain">
              <ipInput
                  :ip="wifiForm.dns"
                  @on-blur="wifiForm.gateDefault = arguments[0]"
              ></ipInput>
              </div>
          </el-form-item>

          <el-form-item class="form-item">
              <div class="item-title">DNS</div>
               <div class="inputContain">
              <ipInput
                  :ip="wifiForm.dns"
                  @on-blur="wifiForm.dns2 = arguments[0]"
              ></ipInput>
               </div>
          </el-form-item>

      </div>
    </el-form>

    <div class="ok">保存</div>
      
  </div>
</template>

<script>

import ipInput from "../components/IPInput";
import switchBar from "../components/switchBar";

export default {
    name:"wifiGateway",
    data(){
        return{
            accessible:false,
            wps_option:[],
            auth_option:[],
            wifiRules:[],
            wifiForm:{
                name:"",
                password:"",
                wps:"",
                auth:"",
                frequency:50,
                ip:"",
                child:"",
                gateway:"",
                dns:"",
                ipStart:"",
                ipEnd:"",
                gateDefault:"",
                dns2:"",
            },
        }
    },
    components :{
        switchBar,
        ipInput
    }
}
</script>
<style scoped lang="scss">
@import '../asset/common.scss';
  .wifi-gateway {
      display: flex;
      flex-direction: column;
  }

  .block {
      margin-top: 20px;
  }

  .DHCP {
    text-align: left;
    margin: 0 auto;
    padding-left: 20px;
    height: 56px;
    width: 450px;
    line-height: 56px;
    font-weight: bold;
    font-size: 14px;
    color: #4F4F4F;
}

</style>